function [val, err] = base_analysis(nlist)
	%    [val, err] = base_analysis(nlist)
	% this takes a vector 'nlist'
	% and performs a base error analysis
	% returning mean value and its error
	% I will make use of whatever octave offers,
	% because why not?

	val = mean(nlist);
	nvals = length(nlist);
	deviations = nlist - val; % "vector - scalar" properly resolved.
	deviations = deviations.^2; % element-by-element square.
	err = 1/sqrt(nvals-1) * sqrt(sum(deviations)/nvals);
	% Alternatively (even better, more built-in):
	%   (1) err = sqrt( var(nlist) / nvals );
	%   (2) err = std(nlist) / sqrt( nvals );
endfunction
